Create ticket

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.smartpm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "SmartPM Public API MCP server": {
    "url": "https://developers.smartpm.com/mcp"
  }
}

Close
POST /hubspot/tickets

Headers

  • X-COMPANY-ID string Required

    The company's unique ID

application/json

Body Required

  • ticketName string
  • ticketDescription string
  • companyName string
  • projectName string
  • scenarioName string
  • chatSessionId string(uuid)
  • traceId string(uuid)

Responses

  • 200 */*

    OK

    Hide response attribute Show response attribute object
    • id string
POST /hubspot/tickets
curl \
 --request POST 'https://live.smartpmtech.com/hubspot/tickets' \
 --header "X-API-KEY: $API_KEY" \
 --header "Content-Type: application/json" \
 --header "X-COMPANY-ID: string" \
 --data '{
  "ticketName": "string",
  "ticketDescription": "string",
  "companyName": "string",
  "projectName": "string",
  "scenarioName": "string",
  "chatSessionId": "string",
  "traceId": "string"
}'
Request examples
# Headers
X-COMPANY-ID: string

# Payload
{
  "ticketName": "string",
  "ticketDescription": "string",
  "companyName": "string",
  "projectName": "string",
  "scenarioName": "string",
  "chatSessionId": "string",
  "traceId": "string"
}
Response examples (200)
{
  "id": "string"
}